> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Employee Tax Parameters

> Set an employee's tax withholding parameters.



## OpenAPI

````yaml openapi/zeal-api.json post /employees/setTaxParameters
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /employees/setTaxParameters:
    post:
      summary: Set Employee Tax Parameters
      description: Set an employee's tax withholding parameters.
      operationId: set-employee-tax-parameters
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - employeeID
                - companyID
                - federalParameters
              properties:
                employeeID:
                  type: string
                  description: ID of the Employee being updated
                companyID:
                  type: string
                  description: ID of the company that the employee belongs to
                federalParameters:
                  type: array
                  description: An array of Tax Parameter entries
                  items:
                    properties:
                      code:
                        type: string
                        description: Codename of tax parameter
                      value:
                        type: string
                        description: Value you want to set for the given tax parameter
                      jurisdiction:
                        type: string
                        description: '"US" for federal or a State (2 level abbreviation)'
                      effectiveDate:
                        type: string
                        description: >-
                          Effective date of the tax parameter. Only accepts
                          YYYY-MM-DD date format.
                        format: date
                    type: object
                stateParameters:
                  type: array
                  description: An array of state Tax Parameter entries
                  items:
                    properties:
                      code:
                        type: string
                        description: Codename of tax parameter
                      value:
                        type: string
                        description: Value you want to set for the given tax parameter
                      jurisdiction:
                        type: string
                        description: '"US" for federal or a State (2 level abbreviation)'
                      effectiveDate:
                        type: string
                        description: >-
                          Effective date of the tax parameter. Only accepts
                          YYYY-MM-DD date format.
                        format: date
                    type: object
                effectiveDate:
                  type: string
                  description: >-
                    Effective Date of the tax parameters in this request. Only
                    accepts YYYY-MM-DD date format. This effective date will
                    apply to any net new changed parameters unless the date is
                    explicitly declared in the individual parameter object.
                    **Note: Will default to the time of the request**
                  format: date
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      employeeID: 6547etrc312314213
                      federalParameters:
                        - _id: 660dbaf23c1e233277df7f
                          code: FILINGSTATUS
                          value: H
                          jurisdiction: US
                          effectiveDate: '2024-04-03T00:00:00.000Z'
                        - _id: 660dbaf23c1e233277df7f
                          code: TWO_JOBS
                          value: 'false'
                          jurisdiction: US
                          effectiveDate: '2024-04-03T00:00:00.000Z'
                      stateParameters:
                        - _id: 660dbaf23c1e233277df7f
                          code: FILINGSTATUS
                          value: H
                          jurisdiction: CA
                          effectiveDate: '2024-04-03T00:00:00.000Z'
                        - code: REGULAR_ALLOWANCES
                          value: '1'
                          jurisdiction: CA
                          effectiveDate: '2024-04-03T00:00:00.000'
                        - code: SUTA_CA_EXEMPT
                          value: NO_REPORTING
                          jurisdiction: CA
                          effectiveDate: '2024-04-03T00:00:00.000'
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      employeeID:
                        type: string
                        example: 6547etrc312314213
                      federalParameters:
                        type: array
                        items:
                          type: object
                          properties:
                            _id:
                              type: string
                              example: 660dbaf23c1e233277df7f
                            code:
                              type: string
                              example: FILINGSTATUS
                            value:
                              type: string
                              example: H
                            jurisdiction:
                              type: string
                              example: US
                            effectiveDate:
                              type: string
                              example: '2024-04-03T00:00:00.000Z'
                      stateParameters:
                        type: array
                        items:
                          type: object
                          properties:
                            _id:
                              type: string
                              example: 660dbaf23c1e233277df7f
                            code:
                              type: string
                              example: FILINGSTATUS
                            value:
                              type: string
                              example: H
                            jurisdiction:
                              type: string
                              example: CA
                            effectiveDate:
                              type: string
                              example: '2024-04-03T00:00:00.000Z'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: Employee with this employeeID does not exist
                        status: 400
                        code: 23
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Employee with this employeeID does not exist
                        status:
                          type: integer
                          example: 400
                          default: 0
                        code:
                          type: integer
                          example: 23
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````